ActionPrinter Class Reference

`#include <ActionPrinter.h>`

## Public Member Functions

| ActionPrinter (bool printActions)
| ActionPrinter (bool printActions, const char *message)
| ~ActionPrinter ()
void | printMessage (const char *message)
void | beginAction (const char *message)
void | endAction ()

## Private Attributes

const bool | _printActions
bool | _actionBegun
Timer | _timer

## Detailed Description

Definition at line 23 of file ActionPrinter.h.

## Constructor & Destructor Documentation

## ActionPrinter() [1/2]

ActionPrinter::ActionPrinter | ( | bool | printActions | ) |

Definition at line 21 of file ActionPrinter.cpp.

## ActionPrinter() [2/2]

ActionPrinter::ActionPrinter | ( | bool | printActions,
|  | const char * | message )

Definition at line 26 of file ActionPrinter.cpp.

## ~ActionPrinter()

ActionPrinter::~ActionPrinter | ( |  | ) |

Definition at line 32 of file ActionPrinter.cpp.

## Member Function Documentation

## beginAction()

void ActionPrinter::beginAction | ( | const char * | message | ) |

Definition at line 44 of file ActionPrinter.cpp.

## endAction()

void ActionPrinter::endAction | ( |  | ) |

Definition at line 51 of file ActionPrinter.cpp.

## printMessage()

void ActionPrinter::printMessage | ( | const char * | message | ) |

Definition at line 37 of file ActionPrinter.cpp.

## Member Data Documentation

## _actionBegun

bool ActionPrinter::_actionBegun

private

Definition at line 35 of file ActionPrinter.h.

## _printActions

const bool ActionPrinter::_printActions

private

Definition at line 34 of file ActionPrinter.h.

## _timer

Timer ActionPrinter::_timer

private

Definition at line 36 of file ActionPrinter.h.

The documentation for this class was generated from the following files:

- src/ActionPrinter.h
- src/ActionPrinter.cpp